<?
/*
 * index.php, part of gween
 * Copyright (C) 2002 Moritz Sinn <moritz@freesources.org>, Alexander Kreuzer <alex@freesources.org>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 */

// if gween_parser_debug is set debug output will be printet instead of the real page
// $gween_parser_debug = 1;

require("/etc/gween/config.inc.php");
require(GWEEN_DIR."parser.class.php");

if (!isset($gween_parser_debug)) {
   $gween_parser_debug = 0;
}

if(preg_match("!^" . GWEEN_ROOT . "([A-Za-z0-9_./-]+)(\?.*)?$!", getenv("REQUEST_URI"), $CompName)) {
   $comp_n = $CompName[1];
}
else {
   $comp_n = "";
}

$p = new Parser($comp_n, COMPONENT_PATH, CACHE_PATH, $gween_parser_debug!=0);
$p->start();

?>
